{$apptype console}

const
    inf = 1000000000;

var
    n, k, i, j, d : longint;
    minVal, cur : longint;    

begin
    reset(input, 'moose.in');
    rewrite(output, 'moose.out');

    writeln(-1);
    close(input);
    close(output);
end.